import request from '@/router/request';

// 查询review列表
export function listReview(query) {
    return request({
        url: '/system/shPosReview/list',
        method: 'get',
        params: query,
        headers: {
            isToken: true,
        },
    })
}

// 查询review详细
export function getReview(id) {
    return request({
        url: '/system/shPosReview/' + id,
        method: 'get',
        headers: {
            isToken: true,
        },
    })
}

// 新增review
export function addReview(data) {
    return request({
        url: '/system/shPosReview',
        method: 'post',
        data: data,
        headers: {
            isToken: true,
        },
    })
}

// 修改review
export function updateReview(data) {
    return request({
        url: '/system/shPosReview',
        method: 'put',
        data: data,
        headers: {
            isToken: true,
        },
    })
}

// 删除review
export function delReview(id) {
    return request({
        url: '/system/shPosReview/' + id,
        method: 'delete',
        headers: {
            isToken: true,
        },
    })
}
